__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare > Class Template Reference

`#include <losertree.h>`

Inheritance diagram for __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >:
[legend]

## Classes

struct | _Loser

## Public Member Functions

| _LoserTreePointerBase (unsigned int __k, _Compare __comp=std::less< _Tp >())
int | __get_min_source ()
void | __insert_start (const _Tp &__key, int __source, bool __sup)

## Protected Attributes

_Compare | _M_comp
unsigned int | _M_ik
unsigned int | _M_k
_Loser * | _M_losers
unsigned int | _M_offset

## Detailed Description

template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >

Base class of _Loser Tree implementation using pointers.

Definition at line 357 of file losertree.h.

## Constructor & Destructor Documentation

## _LoserTreePointerBase()

template<typename _Tp , typename _Compare >

__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_LoserTreePointerBase | ( | unsigned int | __k,
|  | _Compare | __comp = `std::less<_Tp>()`
| ) |  |

inline

Definition at line 373 of file losertree.h.

## ~_LoserTreePointerBase()

template<typename _Tp , typename _Compare >

__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::~_LoserTreePointerBase | ( |  | ) |

inline

Definition at line 387 of file losertree.h.

## Member Function Documentation

## __get_min_source()

template<typename _Tp , typename _Compare >

int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::__get_min_source | ( |  | ) |

inline

Definition at line 390 of file losertree.h.

## __insert_start()

template<typename _Tp , typename _Compare >

void __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::__insert_start | ( | const _Tp & | __key,
|  | int | __source,
|  | bool | __sup
| ) |  |

inline

Definition at line 393 of file losertree.h.

## Member Data Documentation

## _M_comp

template<typename _Tp , typename _Compare >

_Compare __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_comp

protected

Definition at line 370 of file losertree.h.

## _M_ik

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_ik

protected

Definition at line 368 of file losertree.h.

## _M_k

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_k

protected

Definition at line 368 of file losertree.h.

## _M_losers

template<typename _Tp , typename _Compare >

_Loser* __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_losers

protected

Definition at line 369 of file losertree.h.

## _M_offset

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_offset

protected

Definition at line 368 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h